Loading...
Searching...
No Matches
gtsam::NonlinearISAM Class Reference

## Detailed Description

Wrapper class to manage ISAM in a nonlinear context.

## Public Member Functions

Standard Constructors
| NonlinearISAM (int reorderInterval=1, const GaussianFactorGraph::Eliminate &eliminationFunction=GaussianFactorGraph::EliminationTraitsType::DefaultEliminate)
| Periodically reorder and relinearize.
Standard Interface
Values | estimate () const
| Return the current solution estimate.
Matrix | marginalCovariance (Key key) const
| find the marginal covariance for a single variable
const GaussianISAM & | bayesTree () const
| access the underlying bayes tree
const Values & | getLinearizationPoint () const
| Return the current linearization point.
const NonlinearFactorGraph & | getFactorsUnsafe () const
| get underlying nonlinear graph
int | reorderInterval () const
| get counters
int | reorderCounter () const
| TODO: comment.
void | print (const std::string &s="", const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| prints out all contents of the system
void | printStats () const
| prints out clique statistics
void | saveGraph (const std::string &s, const KeyFormatter &keyFormatter=DefaultKeyFormatter) const
| saves the Tree to a text file in GraphViz format
Advanced Interface
void | update (const NonlinearFactorGraph &newFactors, const Values &initialValues)
| Add new factors along with their initial linearization points.
void | reorder_relinearize ()
| Relinearization and reordering of variables.

## Protected Attributes

gtsam::GaussianISAM | isam_
| The internal iSAM object.
Values | linPoint_
| The current linearization point.
NonlinearFactorGraph | factors_
| The original factors, used when relinearizing.
int | reorderInterval_
| The reordering interval and counter.
int | reorderCounter_
GaussianFactorGraph::Eliminate | eliminationFunction_
| The elimination function.

## Constructor & Destructor Documentation

## NonlinearISAM()

gtsam::NonlinearISAM::NonlinearISAM | ( | int | reorderInterval = 1,
|  | const GaussianFactorGraph::Eliminate & | eliminationFunction = GaussianFactorGraph::EliminationTraitsType::DefaultEliminate )

inline

Periodically reorder and relinearize.

Parameters

  reorderInterval | is the number of updates between reorderings, 0 never reorders (and is dangerous for memory consumption) 1 (default) reorders every time, in worse case is batch every update typical values are 50 or 100

## Member Function Documentation

## reorderInterval()

int gtsam::NonlinearISAM::reorderInterval | ( |  | ) | const

inline

get counters

TODO: comment

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/NonlinearISAM.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/NonlinearISAM.cpp